> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rrapiv1contracts prepaid commits consumption



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/consumption
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/consumption:
    get:
      tags:
        - rr
      operationId: rr_api_v1_contracts_prepaid_commits_consumption_list
      parameters:
        - in: path
          name: commit_id
          schema:
            type: integer
          required: true
        - in: path
          name: contract_id
          schema:
            type: integer
          required: true
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedContractPrepaidCommitConsumptionList
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PaginatedContractPrepaidCommitConsumptionList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/ContractPrepaidCommitConsumption'
    ContractPrepaidCommitConsumption:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        prepaid_commit:
          type: integer
          readOnly: true
        entity:
          type: integer
          nullable: true
          readOnly: true
        period_start:
          type: string
          format: date
        period_end:
          type: string
          format: date
          readOnly: true
        description:
          type: string
          nullable: true
        currency:
          type: string
          readOnly: true
        gross_usage_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Pre-discount total from source data
        discount_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          description: gross_usage_amount * discount_percentage / 100
        net_consumption_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          description: Pool drawdown amount (gross - discount)
        overage_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          description: Amount beyond pool at full rate
        total_events:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        balance_before:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          description: Pool balance before this period
        balance_after:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
          description: Pool balance after this period
        revenue_transaction:
          type: integer
          readOnly: true
          nullable: true
          description: Recognized revenue for included (prepaid) portion
        overage_revenue_transaction:
          type: integer
          readOnly: true
          nullable: true
          description: Recognized revenue for overage portion
        adjustments:
          type: array
          items:
            type: object
            additionalProperties: {}
          description: >-
            Return adjustments recorded during this period, grouped by original
            period with gross/discount/net/overage split.
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - adjustments
        - balance_after
        - balance_before
        - created_at
        - currency
        - discount_amount
        - entity
        - gross_usage_amount
        - id
        - last_modified_at
        - net_consumption_amount
        - overage_amount
        - overage_revenue_transaction
        - period_end
        - period_start
        - prepaid_commit
        - revenue_transaction
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````